phpLDAPadmin

# Procedural File: syslog.php

Source Location: /templates/3rdParty/pla/lib/syslog.php

## Page Details:

Functions related to syslog logging.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

#### Tags:

author: | Benjamin Drieu <benjamin.drieu@fr.alcove.com> and Alcôve

### syslog_debug [line 85]

`true syslog_debug( log_string $log_string)`

Issue a debug message via syslog, only if $log_level is set to 'debug' from the config file.

#### Tags:

return: | on success or if debug log is not activated.

#### Parameters

log_string | $log_string | Log message to send to syslog.

[ Top ]

### syslog_err [line 54]

`true syslog_err( log_string $log_string)`

Issue an error message via syslog.

#### Tags:

return: | on success.

#### Parameters

log_string | $log_string | Log message to send to syslog.

[ Top ]

### syslog_msg [line 41]

`void syslog_msg( emergency $emergency, log_string $log_string)`

Verify that syslog logging is activated in the config via the debug->syslog variable and does a call to the syslog() function is it is true.

#### Parameters

emergency | $emergency | Syslog emergency.
log_string | $log_string | String to log.

[ Top ]

### syslog_notice [line 74]

`true syslog_notice( log_string $log_string)`

Issue a notice message via syslog.

#### Tags:

return: | on success.

#### Parameters

log_string | $log_string | Log message to send to syslog.

[ Top ]

### syslog_warning [line 64]

`true syslog_warning( log_string $log_string)`

Issue a warning message via syslog.

#### Tags:

return: | on success.

#### Parameters

log_string | $log_string | Log message to send to syslog.

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:30:13 +0100 by phpDocumentor 1.4.1